org.h2.dev.util

## Class FileViewer

- java.lang.Object
- - org.h2.util.Tool
  - - org.h2.dev.util.FileViewer

    public class FileViewer
    extends Tool

A text file viewer that support very large files.

### Field Summary

### Fields inherited from class org.h2.util.Tool

`out`

### Constructor Summary

Constructors
Constructor and Description
`FileViewer()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` Run the viewer.
`void` `runTool(java.lang.String... args)` Run the tool with the given output stream and arguments.
`protected void` `showUsage()` Print the usage of the tool.

### Methods inherited from class org.h2.util.Tool

`isOption, printNoDatabaseFilesFound, setOut, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileViewer

    public FileViewer()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.sql.SQLException

Run the viewer.

Parameters:
  `args` - the command line arguments
Throws:
  `java.sql.SQLException`

#### showUsage

    protected void showUsage()

Description copied from class: `Tool`
Print the usage of the tool. This method reads the description from the resource file.

Overrides:
  `showUsage` in class `Tool`

#### runTool

    public void runTool(java.lang.String... args)
                 throws java.sql.SQLException

Description copied from class: `Tool`
Run the tool with the given output stream and arguments.

Specified by:
  `runTool` in class `Tool`
Parameters:
  `args` - the argument list
Throws:
  `java.sql.SQLException`